<?php
/**
*	此文件是流程模块【knowledge.知识】对应接口文件。
*	可在页面上创建更多方法如：public funciton testactAjax()，用js.getajaxurl('testact','mode_knowledge|input','flow')调用到对应方法
*/ 
class mode_aqyk_xwClassAction extends inputAction{
	
	protected function savebefore($table, $arr, $id, $addbo){
		
	}
	
	/**
	*	重写函数：保存后处理，主要保存其他表数据
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id
	*	$addbo Boolean 是否添加时
	*/	
	protected function saveafter($table, $arr, $id, $addbo){
		
	}
	
	public function getLMList(){
	    
        $lm = m('aqyk_lm')->getall("1=1");
        $result = [];
        foreach ($lm as $key=> $v){
            $result[] = array("name"=>$v['lm_name'],"value"=>$v['id']);
        }
        return $result;
	}
}	
			